Subject: Inconsistency in RFC 3031

From: "David Allan" <[email-masked]>
Date: Wed, 28 Aug 2002 17:41:43 -0400

As folks are discussing progressing stuff to draft, I'll raise this as a nit
with definitions in 3031.

Section 2.2 states:
-------------------
forwarding equivalence class   a group of IP packets which are
                                     forwarded in the same manner (e.g.,
                                     over the same path, with the same
                                     forwarding treatment)

This has become confused as it is used in two senses:

1) The forwarding capabilities of an LSP.
 
2) The forwarding requirements of a packet. 

An LSP can implement a set of forwarding treatments (E-LSP), a group of IP
packets of common FEC can get different treatment (e.g. ECMP) and different
paths....and forwarding treatment seems to now simply mean common prefix.

Is it perchance time to revisit and clean up the definition?

comments?
Dave

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 28 Aug 2002 18:32:28 -0400

Dave,

Now that we're into layer 2 VPNs over MPLS, the FEC concept has certainly 
been generalized.  I now take it to be a filter that is applied to the PDU 
of the protocol being carried by MPLS (not necessarily just IP) in order to 
determine the label that should be imposed by the LER.  Is that any more 
precise?

BTW, you're absolutely right, thanks to E-LSPs and MP, it is possible that 
MPLS packets with the same label imposed by a particular LER may not 
receive the same forwarding treatment by the network.  But they WILL at 
least all end up at the same destination.

Cheers,
Andy

--------

---

From: Anoop Ghanwani <[email-masked]>
Date: Wed, 28 Aug 2002 16:02:30 -0700

Since someone has brought up this subject, I might as
well add my $0.02.

Several IETF meetings ago, after a presentation on 
Diffserv support using MPLS, I pointed out the following
inconsistency:
- all packets that match a FEC are supposed to map to 
  one LSP;
- the well-defined FECs used by LDP are only prefixes;
- when we add diffserv support into LDP, then a FEC
  no longer maps on to a single LSP because the DSCP
  in the packet comes into play as well.

What should probably have been done was to define 
FECs for LDP that comprised prefix and DSCP.  Instead,
I think the definition of FEC was loosened to make
the existing model work without having to incorporate
the DSCP within the FEC (which is what should have been
done, IMHO).

Anyway, we are where we are, and I haven't been able
to justify trying to fix it.

-Anoop

> -----Original Message-----
> From: David Allan [mailto:[email-masked]]
> Sent: Wednesday, August 28, 2002 2:42 PM
> To: [email-masked]'
> Subject: Inconsistency in RFC 3031
> 
> 
> 
>